---
updatedAt: 2025-06-11T20:41:10.000Z
agentTools:
  projectIndex: https://docs.allthatnode.com/llms.txt
---

# eth_gasPrice-polygon

Returns current block height in a hexadecimal number

# Parameters

* No parameter needed.

```curl Example
curl https://polygon-mainnet-archive.allthatnode.com/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "eth_gasPrice",
  "params": []
}'
```

# Returns

* `QUANTITY` - integer of the current gas price in wei.

```json Example
{"jsonrpc":"2.0","id":1,"result":"0x500a7f4a3"}
```

***

# Try Yourself

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "polygon-rpc",
    "version": "0.5.0"
  },
  "servers": [
    {
      "url": "https://polygon-mainnet-rpc.allthatnode.com:8545"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/{apiKey}": {
      "post": {
        "summary": "net_version-polygon",
        "description": "Returns the current network id.",
        "operationId": "net_version-polygon",
        "parameters": [
          {
            "name": "apiKey",
            "in": "path",
            "schema": {
              "type": "string",
              "default": "8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "id",
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "id": {
                    "type": "string",
                    "default": "1"
                  },
                  "jsonrpc": {
                    "type": "string",
                    "default": "2.0"
                  },
                  "method": {
                    "type": "string",
                    "default": "net_version"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```